Skip to main content
GET
Queries of all customers.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

Query Parameters

searchTerm
string

The search term.

searchOperator
enum<integer>

The type of search used. Defaults to StartsWith. 0 = StartsWith, 1 = Contains

Available options:
0,
1
searchField
enum<integer>[]

The fields to search in. Defaults to all available fields if not specified.

1 = Name, 2 = CompanyName, 3 = AdditionalCompanyLine, 4 = EmailAddress, 5 = EbayName, 6 = PhoneNumber, 7 = VatId, 8 = Street, 9 = City, 10 = PostalCode, 11 = CustomerNumber, 12 = MobilePhoneNumber

Available options:
1,
2,
3,
4,
5,
6,
7,
8,
9,
10,
11,
12
pageNumber
integer<int32>

Number of the page of items to fetch. Defaults to 1 when omitted.

pageSize
integer<int32>

Size of the page specified by PageNumber. Defaults to 100 when omitted.

sortBy
string

Property to sort by. Multiple comma-separated fields are applied in order (OrderBy, then ThenBy).

sortDescending
boolean

Sort in descending order. Defaults to ascending when omitted.

createdDateAfter
string<date-time>

Only include items whose CreatedDate is after (greater than) this value.

createdDateBefore
string<date-time>

Only include items whose CreatedDate is before (less than) this value.

lastChangedAfter
string<date-time>

Only include items whose LastChanged is after (greater than) this value.

lastChangedBefore
string<date-time>

Only include items whose LastChanged is before (less than) this value.

Response

Paged result.

totalItems
integer<int32>
pageNumber
integer<int32>
pageSize
integer<int32>
items
object[]
totalPages
integer<int32>
hasPreviousPage
boolean
hasNextPage
boolean
nextPageNumber
integer<int32>
previousPageNumber
integer<int32>